Universal Patch to get version MT 3.3.11

Printer Friendly Page

Symptoms

IMPORTANT: If you are currently running Version 3.3.9 of the Migration Tool, this patch is unnecessary.

 

In some cases, the patch bundle supplied (mt3310c.bundle.zip) to enable continued update support is failing.  To avoid  additional issues, we have developed a Universal Patch that will automatically update your Migration Tool to the latest version, 3.3.11, for any 3.x version.

Diagnosis

You need to apply this Universal Patch if:

  • You are using any version pre 3.3.9 or earlier 3.x version of the Migration Tool

  • You attempted to apply the previous upgrade bundle and it failed for any version 3.x of the Migration Tool

Solution

RPM installation procedure

  1. Download the migrationtool-3-3.11.noarch.rpm.zip from the Live Community (see below).
  2. Unzip the file.
  3. Copy the file to your home folder inside the MT.
scp migrationtool-3-3.11.noarch.rpm admin@mtipaddress:/home/admin
ssh admin@mtipaddress
sudo rpm -Uvh migrationtool-3-3.11.noarch.rpm
MD5 : 0364d8945e27a3e79ab83b4b59dcae26 migrationtool-3-3.11.noarch.rpm
Comments

I get another checksum for the package linked her. 

 

md5sum migrationtool-3-3.11.noarch.rpm.zip
2d03adde160b33c1b58d37c9a4d24d43

 

Was the package changed?

That ... was awesome. Perfect instructions led to flawless execution. Wish it were easier to find the bundles, but once I found it the directions were very clear. 

 

[admin@PANMigrationTool ~]$ sudo rpm -Uvh migrationtool-3-3.11.noarch.rpm

[sudo] password for admin:

Preparing...                          ################################# [100%]

Updating / installing...

   1:migrationtool-3-3.11             ################################# [100%]

. .

Migration Tool Patch 3311 installed !

Team.

 

The installation process described above works great!! However, when I login to the web UI, and attempt to set proxy settings, the window pops up, I enter the values, and click the save button and nothing happens, and repeated clicks do nothing. It will still not commit the settings. this behavior has been noted in every version since the proxy setting option was programmed in.

 

 We are getting ready for a massive upgrade to PAN firewalls  from Cisco and will be migrating about 35 very large contexts. We are setting up the Migration tool so it is centralized within our enterprise so it is not on somebodies laptop where the configs can leave the campus.

 

 It would be nice to be able to just let the tool do it itself instead of hunting through the community forum to try and find the bundles, or have to resort to this process to get up to date. So my question is; have the proxy setting ever work for anybody, and if not, when will it ever get fixed?

Yes and there is why we are working to chenge the way we provide the updates. Next release 4.0 will use a system based in RPM/DEB packages. Thanks for the feedback

For anyone unfamiliar with SCP...I used the PSCP.exe client from Putty.org to transfer the RPM from my Windows client to the migration tool.  After running the install, as described below, my version was still showing 3.3.8b until I did Update again.  Then it showed 3.3.14.

I used WinSCP to copy the file over. WinSCP is a free SFTP, SCP and FTP client for Windows that uses a GUI.

Ask Questions Get Answers Join the Live Community
Version history
Revision #:
6 of 6
Last update:
‎06-10-2016 07:10 PM
Updated by:
 
Labels
Contributors